IPSW-DOWNLOAD-APPLEDB(1)

NAME
ipsw-download-appledb - Download IPSWs from appledb

SYNOPSIS
ipsw download appledb [flags]

DESCRIPTION
Download IPSWs from appledb

OPTIONS
-a, --api[=false]
    Use Github API

--api-token=""
    Github API Token

--beta[=false]
    Download beta IPSWs

--deltas[=false]
    Download all OTA deltas

--dyld[=false]
    Extract dyld_shared_cache(s) from remote OTA

--fcs-keys[=false]
    Download AEA1 DMG fcs-key pem files

--fcs-keys-json[=false]
    Download AEA1 DMG fcs-keys as JSON

-f, --flat[=false]
    Do NOT perserve directory structure when downloading with --pattern

-h, --help[=false]
    help for appledb

-j, --json[=false]
    Dump DB query results as JSON

--kernel[=false]
    Extract kernelcache from remote IPSW

--latest[=false]
    Download latest IPSWs

--os=[]
    Operating system to download (audioOS, bridgeOS, iOS, iPadOS, iPodOS, macOS, tvOS, watchOS, visionOS)

-o, --output=""
    Folder to download files to

--pattern=""
    Download remote files that match regex

-p, --prereq-build=""
    OTA prerequisite build

--rc[=false]
    Download RC (release candidate) IPSWs

--release[=false]
    Download release IPSWs

--show-latest[=false]
    Show latest version/build

--type="ipsw"
    FW type to download (ipsw, ota, rsr)

-u, --urls[=false]
    Dump URLs only

--usb[=false]
    Download IPSWs for USB attached iDevices

OPTIONS INHERITED FROM PARENT COMMANDS
--black-list=[]
    iOS device black list

-b, --build=""
    iOS BuildID (i.e. 16F203)

--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

-y, --confirm[=false]
    do not prompt user for confirmation

-d, --device=""
    iOS Device (i.e. iPhone11,2)

--insecure[=false]
    do not verify ssl certs

-m, --model=""
    iOS Model (i.e. D321AP)

--no-color[=false]
    disable colorize output

--proxy=""
    HTTP/HTTPS proxy

-_, --remove-commas[=false]
    replace commas in IPSW filename with underscores

--restart-all[=false]
    always restart resumable IPSWs

--resume-all[=false]
    always resume resumable IPSWs

--skip-all[=false]
    always skip resumable IPSWs

-V, --verbose[=false]
    verbose output

-v, --version=""
    iOS Version (i.e. 12.3.1)

--white-list=[]
    iOS device white list

EXAMPLE
      # Download the iOS 16.5 beta 4 kernelcache from remote IPSW
      ❯ ipsw download appledb --os iOS --version '16.5 beta 4' --device iPhone15,2 --kernel
       • Querying AppleDB...
       • Parsing remote IPSW       build=20F5059a devices=iPhone15,2 version=16.5
       • Extracting remote kernelcache
          • Writing 20F5059a__iPhone15,2/kernelcache.release.iPhone15,2

SEE ALSO
ipsw-download(1)

HISTORY
5-Mar-2025 Auto generated by spf13/cobra